// A simple automated telphone directory.
// Usage: java Phone <name>
class Phone
{
  public static void main(String[] args)
  { // 2-d array associates name with phone number
    String numbers[][] =
    {
      { "Tom", "555-3322" },
      { "Mary", "555-8976" },
      { "Jon", "555-1037" },
      { "Rachel", "555-1400" }
    };
    int i;

    if(args.length != 1)
      System.out.println("Usage: java Phone <name>");
    else
    {
      for(i=0; i<numbers.length; i++)
      {
        // check for first name match between command line arg and String array
        if(numbers[i][0].equals(args[0]))
        {
		  // reference the 2nd dimension or column, which has the phone number
          System.out.println(numbers[i][0] + ": " +
                             numbers[i][1]);
          break;
        }
      }
      if(i == numbers.length)
        System.out.println("Name not found.");
    }
  }
}