class Calculator
{
  // static field for an array of integers
  static int[] numbersInArray = { 99, -10, 100123, 18, -978,
                   5623, 463, -9, 287, 49 };

  // static method
  static void printMininumAndMaximum()
  {
    int min, max;
    min = max = numbersInArray[0];
    for(int i=1; i < 10; i++)
    {
      if(numbersInArray[i] < min) min = numbersInArray[i];
      if(numbersInArray[i] > max) max = numbersInArray[i];
    }
    System.out.println("Min and max: " + min + " " + max);
  }

  static double getAverage()
  {
	  double sum = 0.0;
	  for(int i=1; i < 10; i++)
	  {
		// sum = sum + numberInArray[i]
		sum += numbersInArray[i];
      }
      // average is the sum of the numbers divided by the number of numbers
	  return sum/numbersInArray.length;
  }
}
/* This class never calls a constructor and does not create an object,
   so it runs fast and uses less memory.
*/
class StaticMethodDemo
{
	public static void main(String[] args)
	{
		// call a static method of a class
		Calculator.printMininumAndMaximum();
		// assign the return value of static method to a variable
		double averageValue = Calculator.getAverage();
		// pass that variable as a runtime argument to a method
		System.out.println("The average is " + averageValue);
	}
}