class StringBuilderDemo
{
  public static void main(String[] args)
  {
    StringBuilder sb = new StringBuilder("1234");
    System.out.println("sb.hashCode() = " + sb.hashCode());
    System.out.println("The capacity of this StringBuilder object is " + sb.capacity() + " characters.");
    System.out.println("this StringBuilder contains " + sb);
    sb.append("appended");
    System.out.println("After append = " + sb);
    System.out.println("Here we want at least 21 characters so that the internal buffer expands beyond the original 20");
    sb.insert(4,"         INSERTED");
    System.out.println(sb.hashCode());
    System.out.println("The NEW capacity is " + sb.capacity() + " characters.");
    System.out.println("sb.hashCode() = " + sb.hashCode());
    System.out.println("Here we want 43 characters so that the internal buffer expands beyond 42");
    sb.insert(0,"12345678901234567890123");
    System.out.println("The NEW capacity is " + sb.capacity() + " characters.");
    System.out.println(sb);
    System.out.println("To get a String with the same characters as those in the StringBuilder, use the toString() method " + sb.toString());
  }
}