class StringImmutability
{
  public static void main(String[] args)
    {
      String h1 = "Jimi Hendrix";
      String h2 = "Jimi";
      System.out.println("Jimi Hendrix assigned to h1 and Jimi assigned to h2");
      System.out.println("Are h1 and h2 the same physical object? " + h1 == h2);
      System.out.println("h1.equals(h2) " + h1.equals(h2));

      h2 = h2 + " Hendrix";
      System.out.println("h2 is now: " + h2);
      System.out.println("h1 == h2 " + h1 == h2); // different locations in memory
      System.out.println("h1.equals(h2) " + h1.equals(h2)); // equivalent characters

      h2 = "Jimi Hendrix"; // new String
      System.out.println("h1 == h2 " + h1 == h2); // optimized use of memory stores two strings at one location
      System.out.println("h1.equals(h2) " + h1.equals(h2));
    }
}