// Some String operations.
class StringMethods
{
  public static void main(String[] args)
  {
    String str1 =
      "When it comes to Web programming, Java is #1.";
    String str2 = new String(str1);
    String str3 = "Java strings are powerful.";
    int result, idx;
    char ch;

    System.out.println("Length of str1: " +
                       str1.length());

    // display str1, one char at a time.
    for(int i=0; i < str1.length(); i++)
      System.out.print(str1.charAt(i));
    System.out.println();

    if(str1.equals(str2))
      System.out.println("str1 == str2");
    else
      System.out.println("str1 != str2");

    if(str1.equals(str3))
      System.out.println("str1 == str3");
    else
      System.out.println("str1 != str3");

    // compareTo method compares the ascii value of the arg to that of the object
    System.out.println("does a precede b? (in other words, is b higher than a? " + "b".compareTo("a"));
    System.out.println("does b precede a? : " + "a".compareTo("b"));
    System.out.println("does b precede b? : " + "b".compareTo("b"));
    System.out.println("does A, which is 65, precede a, which is 97? : " + "a".compareTo("A"));

    result = str1.compareTo(str3);
    if(result == 0)
      System.out.println("str1 and str3 are equivalent in content");
    else if(result < 0)
      System.out.println("str1 is less than str3");
    else
      System.out.println("str1 is greater than str3");


    // assign a new string to str2
    str2 = "One Two Three One";

    idx = str2.indexOf("One");
    System.out.println("Index of first occurence of One: " + idx);
    idx = str2.lastIndexOf("One");
    System.out.println("Index of last occurence of One: " + idx);

  }
}