// Assigning array reference variables means two "handles" to same place in memory.
class ArrayIsAReferenceTypeDemo
{
  public static void main(String[] args)
  {
    int i;

    int nums1[] = new int[10];
    int nums2[] = new int[10];

    for(i=0; i < 10; i++)
      nums1[i] = i;

    for(i=0; i < 10; i++)
      nums2[i] = -i; // negative version

    System.out.print("Here is nums1: ");
    for(i=0; i < 10; i++)
      System.out.print(nums1[i] + " ");
    System.out.println();

    System.out.print("Here is nums2: ");
    for(i=0; i < 10; i++)
      System.out.print(nums2[i] + " ");
    System.out.println();

    nums2 = nums1; // now nums2 refers to nums1

    System.out.print("Here is nums2 after assignment: ");
    for(i=0; i < 10; i++)
      System.out.print(nums2[i] + " ");
    System.out.println();

   // now operate on nums1 array through nums2
   nums2[3] = 9999999;

    System.out.print("Here is nums1 after change through nums2 with the fourth element changed: \n\t");
    for(i=0; i < 10; i++)
      System.out.print(nums1[i] + " ");
    System.out.println();

   // can we operate on nums2 array through nums1?
   nums1[3] = 8888888;

	System.out.print("Here is nums2 after change through nums1 with the fourth element changed: \n\t");
	for(i=0; i < 10; i++)
	  System.out.print(nums2[i] + " ");
    System.out.println();
  }
}