class BubbleSortDemo
{
	public static void main(String[] args)
	{
		int[] nums = { 99, -10, 100123, 18, -978,
					   5623, 463, -9, 287, 49 };
		int a, b, temp;
		int size; // can use nums.length too

		size = 10; // number of elements to sort

		// display original array
		System.out.print("Original array is:");
		for(int i=0; i < size; i++)
		{
		  System.out.print(" " + nums[i]);
	    }
		System.out.println();

		// This is the bubble sort.
		for(a=1; a < size; a++)
		{
			  System.out.println("\touter loop iteration: " + a);
			  for(b=size-1; b >= a; b--)
			  {
				  // if left is bigger than right, we need to swap
				if(nums[b-1] > nums[b])
					{ // if out of order exchange elements
					  System.out.println("inner iteration " + b +
					   " needs swapping because the left value is " + nums[b-1] + " while the right value is " + nums[b]);
					  temp = nums[b-1]; // left (big) value stored in temporary variable
					  nums[b-1] = nums[b]; // small right moved to left where it belongs
					  nums[b] = temp; // right gets the temporary value
					  System.out.println();
					}
			  }
		}

		// display sorted array
		System.out.print("Sorted array is:");
		for(int i=0; i < size; i++)
		{
		  System.out.print(" " + nums[i]);
	    }
		System.out.println();
	}
}